<!--
 * @Date: 2023-10-12 10:07:08
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-10-13 11:32:14
 * @FilePath: \TelpoH5FrontendWeb\src\components\custom-cell\index.vue
 * @description:
-->
<template>
    <div class="custom-cell">
        <van-cell-group>
            <van-cell :title="title" :value="value" @click="onClick" />
        </van-cell-group>
    </div>
</template>

<script>
import { isNotNull} from "@/utils/index";
export default {
  name: 'custom-cell',
  props: {
    title: {
        type: String,
        default: ''
    },
    value: {
        type: String,
        default: ''
    },
    data: {
        type: Array,
        default: ()=> []
    },
    click: {
        type: String,
        default: ''
    }
  },
  data(){
   return {

   }
  },
  methods: {
    onClick() {
        if(isNotNull(this.click)) {
            console.log(this.click);
            this.$router.push({
                name: this.click
            })
        }
    }
  }
}
</script>

<style scoped lang="scss">
    @import "./index.scss";
</style>
